#### D.12.2.51 m_merkle_hellman_encryption

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  m_merkle_hellman_encryption(knapsack, message)

Return:
  an encrypted message as integer

Note:
  This works in the same way as merkle_hellman_encryption. The additional function is created to keep consistency with the needed functions for every kryptosystem.

Example:

    LIB "crypto.lib";
    //Please note that the values for primenum and hardknapsack have been obtained from the example of m_merkle_hellman_transformation!
    list knapsack = 1,43,132,139;
    list message = 1,0,0,1;
    m_merkle_hellman_encryption(knapsack,message);
    ==> 140

User manual for Singular version 4.4.1, 2025, generated by texi2html.